ad_page_contract {
    @author Frank Bergmann frank.bergmann@project-open.com
    @creation-date 2007-12-10
    @cvs-id $Id$
} {
    
}

# ******************************************************
# Default & Security
# ******************************************************

set page_title "Universal Business Language"
set context_bar [im_context_bar $page_title]

set user_id [ad_maybe_redirect_for_registration]
set user_is_admin_p [im_is_user_site_wide_or_intranet_admin $user_id]
if {!$user_is_admin_p} {
    ad_return_complaint 1 "You have insufficient privileges to use this page"
    return
}

# ------------------------------------------------------
# The list of parameters
# ------------------------------------------------------

set param_query_sql "
        select	p.*,
		v.*,
		substring(p.description for 50) as description_short
	from	apm_parameters p
		LEFT OUTER JOIN apm_parameter_values v ON (p.parameter_id = v.parameter_id)
	where	p.package_key = 'intranet-ubl'
	order by parameter_name
"
db_multirow -extend { url } params param_query $param_query_sql { 
    set url ""
}


# ------------------------------------------------------
# Show the trace
# ------------------------------------------------------

set invoice_query_sql "
        select	i.*,
		c.*
	from	im_invoices i,
		im_costs c
	where	i.invoice_id = c.cost_id
		and c.cost_type_id in ([im_cost_type_invoice])
	order by i.invoice_id DESC
	LIMIT 20
"
db_multirow -extend { invoice_url } invoices invoice_query $invoice_query_sql {
    set invoice_url [export_vars -base "document.xml" { invoice_id }]
}



ad_return_template



